| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ob::AccelStreamProfile Class Reference

Class representing an accelerometer stream profile. More...

`#include <StreamProfile.hpp>`

Inheritance diagram for ob::AccelStreamProfile:

## Public Member Functions
| AccelStreamProfile (StreamProfile &profile)
| AccelStreamProfile (std::unique_ptr< StreamProfileImpl > impl)
| ~AccelStreamProfile () noexcept override
OBAccelFullScaleRange | fullScaleRange () const
| Return the full scale range.
OBAccelSampleRate | sampleRate () const
| Return the sampling frequency.
OBAccelIntrinsic | getIntrinsic ()
| get the intrinsic parameters of the stream.
Public Member Functions inherited from ob::StreamProfile
| StreamProfile (std::unique_ptr< StreamProfileImpl > impl)
| StreamProfile (StreamProfile &streamProfile)
virtual | ~StreamProfile () noexcept
OBFormat | format () const
| Get the format of the stream.
OBStreamType | type () const
| Get the type of stream.
OBExtrinsic | getExtrinsicTo (std::shared_ptr< StreamProfile > target)
| Get the extrinsic parameters from current stream profile to the given target stream profile.
template<typename T >
bool | is ()
| Check if frame object is compatible with the given type.
template<typename T >
std::shared_ptr< T > | as ()
| Converts object type to target type.

## Additional Inherited Members
Protected Attributes inherited from ob::StreamProfile
std::unique_ptr< StreamProfileImpl > | impl_

## Detailed Description

Class representing an accelerometer stream profile.

Definition at line 130 of file StreamProfile.hpp.

## Constructor & Destructor Documentation

## ◆ AccelStreamProfile() [1/2]

ob::AccelStreamProfile::AccelStreamProfile | ( | StreamProfile & | profile | ) |
| explicit

## ◆ AccelStreamProfile() [2/2]

ob::AccelStreamProfile::AccelStreamProfile | ( | std::unique_ptr< StreamProfileImpl > | impl | ) |
| explicit

## ◆ ~AccelStreamProfile()

ob::AccelStreamProfile::~AccelStreamProfile | ( |  | ) |
| override noexcept

## Member Function Documentation

## ◆ fullScaleRange()

OBAccelFullScaleRange ob::AccelStreamProfile::fullScaleRange | ( |  | ) | const

Return the full scale range.

Returns
  OBAccelFullScaleRange Return the scale range value.

## ◆ sampleRate()

OBAccelSampleRate ob::AccelStreamProfile::sampleRate | ( |  | ) | const

Return the sampling frequency.

Returns
  OBAccelFullScaleRange Return the sampling frequency.

## ◆ getIntrinsic()

OBAccelIntrinsic ob::AccelStreamProfile::getIntrinsic | ( |  | ) |

get the intrinsic parameters of the stream.

Returns
  OBAccelIntrinsic Return the intrinsic parameters.

The documentation for this class was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/hpp/StreamProfile.hpp